package com.symboliclinks.example;

import org.eclipse.core.runtime.ILog;
import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

public class Activator extends Plugin {

    public static final String PLUGIN_ID = "com.symboliclinks.example"; //$NON-NLS-1$

    private static BundleContext context;

    private static Activator plugin = null;

    static BundleContext getContext() {
        return context;
    }

    /*
     * (non-Javadoc)
     * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
     */
    @Override
    public void start(BundleContext bundleContext) throws Exception {
        setContext(bundleContext);
        setPlugin(this);
    }

    /*
     * (non-Javadoc)
     * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
     */
    @Override
    public void stop(BundleContext bundleContext) throws Exception {
        setContext(null);
        setPlugin(null);
    }

    public static void setContext(BundleContext bundleContext) {
        Activator.context = bundleContext;
    }

    private static void setPlugin(Activator activator) {
        Activator.plugin = activator;
    }

    public static Activator getPlugin() {
        return plugin;
    }

    public ILog getLogger() {
        return getLog();
    }
}
